Package com.pixelmed.display

# Class WindowCenterAndWidth

java.lang.Object
com.pixelmed.display.WindowCenterAndWidth

public class WindowCenterAndWidth extends Object

A class of static methods to perform window operations on images.

## Constructor Summary

Constructors
Constructor
Description
`WindowCenterAndWidth()`

## Method Summary

Modifier and Type
Method
Description
`protected static void`
`applyPaddingValueRangeToLUT(byte[] lut, int pad, int padRangeLimit, int mask)`
`static final BufferedImage`
`applyVOILUT(BufferedImage src, double center, double width, double identityCenter, double identityWidth, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit, int numberOfEntries, int firstValueMapped, int bitsPerEntry, short[] grayTable, int entryMin, int entryMax, int topOfEntryRange)`
`static final BufferedImage`
`applyWindowCenterAndWidthLinear(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad)`
`static final BufferedImage`
`applyWindowCenterAndWidthLinear(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit)`
`static final BufferedImage`
`applyWindowCenterAndWidthLinear(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit, boolean useExactCalculationInsteadOfDICOMStandardMethod)`
`static final BufferedImage`
`applyWindowCenterAndWidthLinearToColorImage(BufferedImage src, double center, double width)`
`static final BufferedImage`
`applyWindowCenterAndWidthLogistic(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad)`
`static final BufferedImage`
`applyWindowCenterAndWidthLogistic(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit)`
`static final BufferedImage`
`applyWindowCenterAndWidthWithPaletteColor(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit, int largestGray, int bitsPerEntry, int numberOfEntries, short[] redTable, short[] greenTable, short[] blueTable)`
`static final BufferedImage`
`applyWindowCenterAndWidthWithPaletteColor(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int largestGray, int bitsPerEntry, int numberOfEntries, short[] redTable, short[] greenTable, short[] blueTable)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowCenterAndWidth

public WindowCenterAndWidth()

## Method Details

### applyPaddingValueRangeToLUT

protected static void applyPaddingValueRangeToLUT(byte[] lut, int pad, int padRangeLimit, int mask)

Parameters:
  `lut` -
  `pad` -
  `padRangeLimit` -
  `mask` -

### applyWindowCenterAndWidthLogistic

public static final BufferedImage applyWindowCenterAndWidthLogistic(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad)

Parameters:
  `src` -
  `center` -
  `width` -
  `signed` -
  `inverted` -
  `useSlope` -
  `useIntercept` -
  `usePad` -
  `pad` -

### applyWindowCenterAndWidthLogistic

public static final BufferedImage applyWindowCenterAndWidthLogistic(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit)

Parameters:
  `src` -
  `center` -
  `width` -
  `signed` -
  `inverted` -
  `useSlope` -
  `useIntercept` -
  `usePad` -
  `pad` -
  `padRangeLimit` -

### applyWindowCenterAndWidthLinear

public static final BufferedImage applyWindowCenterAndWidthLinear(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad)

Parameters:
  `src` -
  `center` -
  `width` -
  `signed` -
  `inverted` -
  `useSlope` -
  `useIntercept` -
  `usePad` -
  `pad` -

### applyWindowCenterAndWidthLinear

public static final BufferedImage applyWindowCenterAndWidthLinear(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit)

Parameters:
  `src` -
  `center` -
  `width` -
  `signed` -
  `inverted` -
  `useSlope` -
  `useIntercept` -
  `usePad` -
  `pad` -
  `padRangeLimit` -

### applyWindowCenterAndWidthLinear

public static final BufferedImage applyWindowCenterAndWidthLinear(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit, boolean useExactCalculationInsteadOfDICOMStandardMethod)

Parameters:
  `src` -
  `center` -
  `width` -
  `signed` -
  `inverted` -
  `useSlope` -
  `useIntercept` -
  `usePad` -
  `pad` -
  `padRangeLimit` -
  `useExactCalculationInsteadOfDICOMStandardMethod` -

### applyWindowCenterAndWidthWithPaletteColor

public static final BufferedImage applyWindowCenterAndWidthWithPaletteColor(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int largestGray, int bitsPerEntry, int numberOfEntries, short[] redTable, short[] greenTable, short[] blueTable)

Parameters:
  `src` -
  `center` -
  `width` -
  `signed` -
  `inverted` -
  `useSlope` -
  `useIntercept` -
  `usePad` -
  `pad` -
  `largestGray` -
  `bitsPerEntry` -
  `numberOfEntries` -
  `redTable` -
  `greenTable` -
  `blueTable` -

### applyWindowCenterAndWidthWithPaletteColor

public static final BufferedImage applyWindowCenterAndWidthWithPaletteColor(BufferedImage src, double center, double width, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit, int largestGray, int bitsPerEntry, int numberOfEntries, short[] redTable, short[] greenTable, short[] blueTable)

Parameters:
  `src` -
  `center` -
  `width` -
  `signed` -
  `inverted` -
  `useSlope` -
  `useIntercept` -
  `usePad` -
  `pad` -
  `padRangeLimit` -
  `largestGray` -
  `bitsPerEntry` -
  `numberOfEntries` -
  `redTable` -
  `greenTable` -
  `blueTable` -

### applyWindowCenterAndWidthLinearToColorImage

public static final BufferedImage applyWindowCenterAndWidthLinearToColorImage(BufferedImage src, double center, double width)

Parameters:
  `src` -
  `center` -
  `width` -

### applyVOILUT

public static final BufferedImage applyVOILUT(BufferedImage src, double center, double width, double identityCenter, double identityWidth, boolean signed, boolean inverted, double useSlope, double useIntercept, boolean usePad, int pad, int padRangeLimit, int numberOfEntries, int firstValueMapped, int bitsPerEntry, short[] grayTable, int entryMin, int entryMax, int topOfEntryRange)

Parameters:
  `src` -
  `center` -
  `width` -
  `identityCenter` -
  `identityWidth` -
  `signed` -
  `inverted` -
  `useSlope` -
  `useIntercept` -
  `usePad` -
  `pad` -
  `padRangeLimit` -
  `numberOfEntries` -
  `bitsPerEntry` -
  `grayTable` -
  `entryMin` -
  `entryMax` -
  `topOfEntryRange` -